commit 70c46d8e455144cf5968d38b932692cbe0cfa2e1
Author: Eric Botcazou <ebotcazou@adacore.com>
Date:   Tue Oct 8 15:17:27 2024 +0200

    Add regression test
    
    gcc/testsuite/
            PR ada/116190
            * gnat.dg/aggr31.adb: New test.

diff --git a/gcc/testsuite/gnat.dg/aggr31.adb b/gcc/testsuite/gnat.dg/aggr31.adb
new file mode 100644
index 00000000000..8e95f808d88
--- /dev/null
+++ b/gcc/testsuite/gnat.dg/aggr31.adb
@@ -0,0 +1,17 @@
+-- { dg-do run }
+-- { dg-options "-gnat2022" }
+
+with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
+
+procedure Aggr31 is
+
+  My_Array : constant array (1 .. 5) of Unbounded_String :=
+    [others => To_Unbounded_String ("Test")];
+
+  This_Crashes : constant array (Natural range <>) of Unbounded_String :=
+    [for I of My_Array => I];
+
+begin
+  null;
+end;
+

